Skip to content

Payout service APIs (1.0.0)

Payout service APIs

Languages
Servers
Mock server

https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/

Forex

Operations

Payout Partner

Operations

Payout Method

Operations

Data requirements

Operations

Payouts

Operations

PayoutsV2

Operations

Quotes

Operations

Get payout quotes with payout fees for different payout methods (given payout provider and payout currency) and FX rates if base and payout currencies are different

Request

Returns a list of quotes for the given payout methods and base/payout currency pair

Security
oauth2
Query
partner_namestring

The name of the payout partner

Example: partner_name=tranglo
quote_typeanyrequired

The quote type sender_quote vs receiver_quote

Enum"SENDER_QUOTE""RECEIVER_QUOTE"
Example: quote_type=sender_quote/receiver_quote
base_currencystring^[A-Z]{3,4}$required

The three-letter base currency code (ISO 4217)

Example: base_currency=EUR
payout_currencystring^[A-Z]{3,4}$required

The three-letter payout currency code (ISO 4217)

Example: payout_currency=AUD
payout_countrystring^[A-Z]{2}$

The payout country two-letter ISO 3166-1 Alpha-2 code

Example: payout_country=AT
payout_categorystring

The payout category

Example: payout_category=BANK | EWALLET | CASH_PICKUP | ATM
use_casestring

The payout use case

Example: use_case=TREASURY | P2P | B2B | B2C
payout_method_idstring(uuid)

The id of the payout method

quote_amountnumberrequired

The quote amount

bicstring^([a-zA-Z0-9_-]){8,11}$

Code allocated to a receiving institution by the ISO 9362 Registration Authority as described in ISO 9362 'Banking - Banking telecommunication messages - Business identifier code (BIC)'

Example: bic=BOFAUS3N
sender_end_to_end_idstring

sender end to end id

curl -i -X GET \
  'https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/v1/quotes?partner_name=tranglo&quote_type=sender_quote%2Freceiver_quote&base_currency=EUR&payout_currency=AUD&payout_country=AT&payout_category=BANK+%2C+EWALLET+%2C+CASH_PICKUP+%2C+ATM&use_case=TREASURY+%2C+P2P+%2C+B2B+%2C+B2C&payout_method_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&quote_amount=0&bic=BOFAUS3N&sender_end_to_end_id=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Returns an exchange rate matching the criteria

Bodyapplication/json
quotes_dttmstring(date-time)required

The date time when the quotes are generated

quote_elementsArray of objects

A list of quote elements

payout_partner_namestring

The name of payout partner

Example: "tranglo"
payout_partner_idstring(uuid)

The unique payout partner id stored in payout service

Example: "65606de6-d86e-468e-8e69-55184fddf40c"
payout_categorystring

The payout category example a BANK, E-WALLET

Example: "BANK"
payout_method_namestring

The payout method name

Example: "SEPA, SPEI"
payout_method_idstring(uuid)

The unique payout method id stored in payout service

Example: "d834fb0f-2faf-ee11-992f-660596240263"
base_amountnumber

The total amount calculated based on the payout amount with all the added fees

Example: 102
payout_amountnumber

The amount that needs to be disbursed to the beneficiary

Example: 100
payout_currency_feenumber

The fee represented in payout currency

Example: 2
base_currency_feenumber

The fee represented in liquidation or base currency

Example: 2
base_currencystring

The base or liquidation currency

Example: "USD"
payout_currencystring

The payout currency

Example: "EUR"
forexobject

A simple forex element that contains the rate and expiry

ratestring(double)required

The FX currency rate

Example: "1.47289"
expirystring(date-time)

The FX rate expiry date

Response
application/json
{ "quotes_dttm": "2019-08-24T14:15:22Z", "quote_elements": [ "Represents a single quote element that includes the details about quote like the resulting amount, fees and FX rate" ] }

Get payout quotes with payout fees for different payout methods (given payout provider and payout currency) and FX rates if base and payout currencies are different

Request

Returns a list of quotes for the given payout methods and base/payout currency pair

Security
oauth2
Bodyapplication/json
quote_amountnumberrequired

quote_amount

quote_typeanyrequired
Enum"SENDER_QUOTE""RECEIVER_QUOTE"
partner_namestring

partner_name

payout_countrystring

payout_country

base_currencystringrequired

base_currency

payout_currencystringrequired

payout_currency

payout_categorystring

payout_category

Default "BANK"
use_casestring

payout_currency

payout_method_idstring(UUID)

payout_method_id

payer_idstring

beneficial id from payout partner. eg.thunes

end_to_end_idstring
curl -i -X POST \
  https://docs.ripple.com/_mock/products/payments-direct/api-docs/payout-service/payout-service/v1/quotes \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quote_amount": 0,
    "quote_type": "SENDER_QUOTE",
    "partner_name": "string",
    "payout_country": "string",
    "base_currency": "string",
    "payout_currency": "string",
    "payout_category": "BANK",
    "use_case": "string",
    "payout_method_id": "string",
    "payer_id": "string",
    "end_to_end_id": "string"
  }'

Responses

Returns an exchange rate matching the criteria

Bodyapplication/json
quotes_dttmstring(date-time)required

The date time when the quotes are generated

quote_elementsArray of objects

A list of quote elements

payout_partner_namestring

The name of payout partner

Example: "tranglo"
payout_partner_idstring(uuid)

The unique payout partner id stored in payout service

Example: "65606de6-d86e-468e-8e69-55184fddf40c"
payout_categorystring

The payout category example a BANK, E-WALLET

Example: "BANK"
payout_method_namestring

The payout method name

Example: "SEPA, SPEI"
payout_method_idstring(uuid)

The unique payout method id stored in payout service

Example: "d834fb0f-2faf-ee11-992f-660596240263"
base_amountnumber

The total amount calculated based on the payout amount with all the added fees

Example: 102
payout_amountnumber

The amount that needs to be disbursed to the beneficiary

Example: 100
payout_currency_feenumber

The fee represented in payout currency

Example: 2
base_currency_feenumber

The fee represented in liquidation or base currency

Example: 2
base_currencystring

The base or liquidation currency

Example: "USD"
payout_currencystring

The payout currency

Example: "EUR"
forexobject

A simple forex element that contains the rate and expiry

ratestring(double)required

The FX currency rate

Example: "1.47289"
expirystring(date-time)

The FX rate expiry date

Response
application/json
{ "quotes_dttm": "2019-08-24T14:15:22Z", "quote_elements": [ "Represents a single quote element that includes the details about quote like the resulting amount, fees and FX rate" ] }

Webhooks

Operations

Tranglo

Operations

Routing

Operations

Data Requirement

Operations